#include "multiverseview.h"
#include "multiversemodel.h"
#include "ui_multiverseview.h"
#include "universeviewdelegate.h"

#include <QDebug>

/**
 * @brief MultiverseView::MultiverseView
 * @param parent
 */
MultiverseView::MultiverseView(QWidget *parent, QSacnNode *node)
    : QMainWindow(parent)
    , ui(new Ui::MultiverseView)
{
  ui->setupUi(this);

  ui->multiverseView->setModel(new MultiverseModel(this, node));
  ui->multiverseView->setItemDelegate(new UniverseViewDelegate());
  ui->multiverseView->expandAll();
}


/**
 * @brief MultiverseView::~MultiverseView
 */
MultiverseView::~MultiverseView()
{
    delete ui;
}
